LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLinkageSupport Interface Referencepublished

specifies an additional implementation for linked embedded object support. More...

`import"XLinkageSupport.idl";`

Inheritance diagram for XLinkageSupport:

## Public Member Functions
void | breakLink ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| breaks the link and provides the object with a parent storage and a name for object's entry More...
boolean | isLink () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect whether the object is a linked one. More...
string | getLinkURL () raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| returns the URL of the link object. More...
Public Member Functions inherited from XCommonEmbedPersist
void | storeOwn () raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link store itself. More...
boolean | isReadonly () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect if the data store is read-only. More...
void | reload ([in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link reload itself. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies an additional implementation for linked embedded object support.

## Member Function Documentation

## ◆ breakLink()

void breakLink | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

breaks the link and provides the object with a parent storage and a name for object's entry

This method can be used only for links implementations that implement the whole set of embedded object interfaces. Usually the sets of interfaces are the same for links and objects. An example of exception from this are OOo links that do not implement XEmbedPersist interface. For such cases the method will throw an exception.

The link will be broken and the linked object will become a normal embedded object.

An entry with the specified name should be created or opened inside provided storage. This entry will be used for the object persistence. If the entry exists already all its contents will be ignored.

Parameters

  xStorage | a parent storage the entry should be created or opened in
  sEntryName | a name for the entry

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state or not a linked object
  com::sun::star::io::IOException | in case object has not persistence or other io problems
  com::sun::star::uno::Exception | in case of other problems

See also
  also XEmbedPersist::setPersistentEntry

## ◆ getLinkURL()

string getLinkURL | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

returns the URL of the link object.

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state or is not a link

## ◆ isLink()

boolean isLink | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

allows to detect whether the object is a linked one.

Most of embedded objects will not support this interface, but some of them can do it, to allow conversion from link to object. After the conversion the object does not change, so interface set stays the same, but the object is not a link any more.

Returns
  `TRUE` - the object is a linked one. `FALSE` - otherwise

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XLinkageSupport.idl